Subject: Re: [MOBILE-IP] Pro-active Handoff and FA Location

From: "Hesham Soliman (EPA)" <[email-masked]>
Date: Fri, 1 Dec 2000 12:07:52 +1100

> >         => I agree that the two proposals are very similar. They both
> > support
> >         simultaneous bindings and other similar concepts.
> >         Apart from the list of differences we discussed, I see a
> difference
> >         in the dependancy on certain architectures. You might think that
> >         this is an implementation issue, but it's important to highlight
> it.
> >
> >         In some cases the changes required to support the assumed
> >         architecture may not be trivial.
>
> Correct, but the design choices made also allow the proposal to be used
> with
> even the strictest of link layers (ones that INFORM the mobile that a
> handoff
> is in process).
>
        => These link layers are much more sophisticated than others
        because they know where the MN is going. I think that makes
        it easier to accomodate MIP since you're getting good hints.
        FH also supports that case by sending the proxy advertisement
        to the MN from the current FA.

> In these wireless networks, there is no additional time for
> Mobile IP registration.
>
        => Which wireless links ? CDMA for example ?
        As we mentioned during the meetings, we looked at these
        handoff sequences and found that there is time and it is
        certainly possible to support FH. CDMA is much more
        flexible in terms of handoff times than other wireless
        systems.

> However, you failed to address my comment where I stated that this
> co-location
> issue is NOT a pro-active problem, since the fast handoff proposal uses
> similar triggers. Both proposals require colocated AP/FAs.
>
        => The FH model allows for both MN initiation and FA initiation.
Therefore
        I don't see why it would need this colocation.
        You also didn't answer my comments on IAPP :)

        Hesham

---

From: Ajoy Singh <[email-masked]>
Date: Thu, 30 Nov 2000 22:34:05 -0600

-----Original Message-----
From: IP Routing for Wireless/Mobile Hosts (mobile-ip)
[mailto:[email-masked]]On Behalf Of Hesham
Soliman (EPA)
Sent: Thursday, November 30, 2000 7:08 PM
To: [email-masked]
Subject: Re: [MOBILE-IP] Pro-active Handoff and FA Location

<AS> Are you talking about CDMA soft or hard handoff ? Hard handoff
is break before make and soft handoff is make before break. Mobile/IP is
candidate for hard handoff not soft handoff. In case of hard handoff,
it is not a good idea to add lot of over the air messages which is
required for Mobile/IP FH support. Addition of more over the air
messages will increase the possibility of call drop (due to bad link) which
is worse
than poor handoff performance. BTW, in general wireless link discourages
over the air signaling as much as possible. The signaling channels
are designed to carry small messages. Typically, mobile/IP messages
may take multiple air interface frames if carried over current signaling
channels.
This will add to latency of Mobile/IP handover.  Moreover, bearer channel
for data are scheduled on demand. The bearer channels (SCH) are not
available all the
time during data call.  For example,
in case of real audio type of application only forward channel will be
available
for active user. So if you schedule reverse channel to send Mobile/IP
messages,
it will to add to handover delay because there will some signaling required
to schedule
a channel. This type of dependency is not there in proactive case. In case
of proactive
handoff, Mobile/IP messages are not in critical path, so the user of
proactive approach
will have lesser chance of call drop during handover. The cases where you
will
have dedicated channel for bearer traffic, this problem may not be that bad.
I
hate to talk about CDMA or any other link layer in Mobile/IP list, but
we want a solution that should work for all wireless links. Unfortunately,
I do not see fast handoff approach working all the time for all wireless
links. <AS>

        Hesham